
<%= form_for @user, :url=>{action: :create}, :method=>:POST do |f| %>
 <fieldset id='user'>
  <legend><% if @user.id  %>Edit<% else %>Add New<% end %> User</legend>
    <%= f.hidden_field :id %>
  <div style='display: block; float: left;'>
    <%= f.text_field :login, :placeholder=>'Login Name' %><br/>
    <%= f.text_field :fullname, :placeholder=>'Full Name' %><br/>
    <%= f.email_field :email, :placeholder=>'E-Mail Address' %><br/>
    <%= f.label :is_admin %><%= f.check_box :is_admin %><br/>

    <% if f.object.id then %>
    <hr/>
    <%= f.password_field :password, :placeholder=>'Change Password' %><br/>
    <%= f.password_field :password_confirm, :placeholder=>'Confirm Password' %><br/>
    <hr/>
    <% end %>

    <%= f.submit 'Save User' %>
  </div>
  <div style='display: block; float: left;'>
    <%= f.text_area :comment, :cols=>40, :rows=>15, placeholder: 'Who is this or what is it used for?' %>
  </div>
  <div style='display: block; float: right;'>
    <%= render :partial=>'objects/bookmark/nested_form', :locals=>{:form=>f, :user=>current_user} %>
  </div>
 </fieldset>
<% end %>
